Bug 621275 - [abrt] crash in system-config-printer-1.1.19-3.fc12: libxml2.py:1:<module>:ImportError: /usr/lib/python2.6/site-packages/libxml2mod.so: symbol xmlFirstElementChild, version LIBXML2_2.7.3 not defined in file libxml2.so.2 with link time reference
[abrt] crash in system-config-printer-1.1.19-3.fc12: libxml2.py:1:<module>:Im...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libxml2 (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
abrt_hash:b6f276bc
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-04 12:16 EDT by Raul Sandrea
Modified: 2010-12-03 07:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 07:58:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (6.92 KB, text/plain)
2010-08-04 12:17 EDT, Raul Sandrea
no flags Details

  None (edit)
Description Raul Sandrea 2010-08-04 12:16:53 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: python /usr/share/system-config-printer/system-config-printer.py
component: system-config-printer
executable: /usr/share/system-config-printer/system-config-printer.py
kernel: 2.6.32.16-150.fc12.i686.PAE
package: system-config-printer-1.1.19-3.fc12
reason: libxml2.py:1:<module>:ImportError: /usr/lib/python2.6/site-packages/libxml2mod.so: symbol xmlFirstElementChild, version LIBXML2_2.7.3 not defined in file libxml2.so.2 with link time reference
release: Fedora release 12 (Constantine)
Comment 1 Raul Sandrea 2010-08-04 12:17:01 EDT
Created attachment 436592 [details]
File: backtrace
Comment 2 Jiri Popelka 2010-08-04 12:26:05 EDT
Can you show me what does (both should show nothing)
  python -c 'import libxml2'
and
  rpm -V libxml2-python
Comment 3 Raul Sandrea 2010-08-04 12:36:49 EDT
of course.

# python -c 'import libxml2'
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.6/site-packages/libxml2.py", line 1, in <module>
    import libxml2mod
ImportError: /usr/lib/python2.6/site-packages/libxml2mod.so: symbol xmlFirstElementChild, version LIBXML2_2.7.3 not defined in file libxml2.so.2 with link time reference

#rpm -V libxml2-python - shows nothing.
Comment 4 Bug Zapper 2010-11-03 07:17:02 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 07:58:02 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.